Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.jpivot.navigator.hierarchy
Class SelectProperties

    java.lang.Object
      com.tonbeller.wcf.component.ComponentSupport
          com.tonbeller.wcf.component.NestableComponentSupport
              com.tonbeller.wcf.catedit.CategoryEditor
                  com.tonbeller.jpivot.navigator.hierarchy.SelectProperties

All Implemented Interfaces:
  ModelChangeListener, com.tonbeller.wcf.bookmarks.Bookmarkable, com.tonbeller.wcf.catedit.CategoryModelChangeListener, com.tonbeller.wcf.changeorder.ChangeOrderModel, com.tonbeller.wcf.component.Component, com.tonbeller.wcf.component.Form, com.tonbeller.wcf.component.FormListener, com.tonbeller.wcf.component.LifeCycle, com.tonbeller.wcf.component.NestableComponent, com.tonbeller.wcf.component.Renderable, com.tonbeller.wcf.component.RoleExprHolder, com.tonbeller.wcf.component.Visible, com.tonbeller.wcf.controller.RequestListener, java.util.EventListener, javax.servlet.http.HttpSessionBindingListener

    public class SelectProperties

extends com.tonbeller.wcf.catedit.CategoryEditor
implements ModelChangeListener

Select Properties dialog

Author:
  wawan

Nested Class Summary
`class` | `SelectProperties.CancelHandler`
`class` | `SelectProperties.OkHandler`

Field Summary

Fields inherited from interface com.tonbeller.wcf.bookmarks.Bookmarkable
`EXTENSIONAL, INTENSIONAL`

Constructor Summary
`SelectProperties(java.lang.String id, com.tonbeller.wcf.component.Component parent, TableComponent tableComponent)` Constructor for SelectProperties.

Method Summary
`void` | `initialize(com.tonbeller.wcf.controller.RequestContext context)`
`boolean` | `isEditing()`
`void` | `modelChanged(ModelChangeEvent e)` model data have changed, e.g. user has navigated
`org.w3c.dom.Element` | `render(com.tonbeller.wcf.controller.RequestContext context, org.w3c.dom.Document factory)`
`void` | `setEditing(boolean editing)`
`void` | `structureChanged(ModelChangeEvent e)` major change, e.g. extensions added/removed

Methods inherited from class com.tonbeller.wcf.catedit.CategoryEditor
`categoryModelChanged, getCategoryRenderer, getChangeCategoryButtonElementName, getItemRenderer, getModel, getRootElementName, mayMove, move, setCategoryRenderer, setChangeCategoryButtonElementName, setItemRenderer, setModel, setRootElementName`

Methods inherited from class com.tonbeller.wcf.component.NestableComponentSupport
`render`

Methods inherited from class com.tonbeller.wcf.component.ComponentSupport
`addFormListener, destroy, getBookmarkState, getDispatcher, getForm, getId, getLocale, getNextView, getParent, getRoleExpr, isAutoValidate, isListeningTo, isVisible, removeFormListener, request, revert, setAutoValidate, setBookmarkState, setId, setNextView, setParent, setRoleExpr, setVisible, validate, valueBound, valueUnbound`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.tonbeller.wcf.component.Component
`getParent, isListeningTo, setNextView`

Methods inherited from interface com.tonbeller.wcf.controller.RequestListener
`request`

Methods inherited from interface com.tonbeller.wcf.component.FormListener
`revert, validate`

Methods inherited from interface com.tonbeller.wcf.component.Visible
`isVisible, setVisible`

Methods inherited from interface com.tonbeller.wcf.component.LifeCycle
`destroy`

Constructor Detail

### SelectProperties

    public SelectProperties(java.lang.String id,
                            com.tonbeller.wcf.component.Component parent,
                            TableComponent tableComponent)

  Constructor for SelectProperties.

Method Detail

### initialize

    public void initialize(com.tonbeller.wcf.controller.RequestContext context)
                    throws java.lang.Exception

  Specified by:
    `initialize` in interface `com.tonbeller.wcf.component.LifeCycle`
  Overrides:
    `initialize` in class `com.tonbeller.wcf.catedit.CategoryEditor`
  Throws:
    `java.lang.Exception`

### isEditing

    public boolean isEditing()

  Returns:
    boolean

### setEditing

    public void setEditing(boolean editing)

### render

    public org.w3c.dom.Element render(com.tonbeller.wcf.controller.RequestContext context,
                                      org.w3c.dom.Document factory)
                               throws java.lang.Exception

  Specified by:
    `render` in interface `com.tonbeller.wcf.component.NestableComponent`
  Overrides:
    `render` in class `com.tonbeller.wcf.catedit.CategoryEditor`
  Throws:
    `java.lang.Exception`

### modelChanged

    public void modelChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  model data have changed, e.g. user has navigated

  Specified by:
    `modelChanged` in interface `ModelChangeListener`

### structureChanged

    public void structureChanged(ModelChangeEvent e)

  Description copied from interface: `ModelChangeListener`
  major change, e.g. extensions added/removed

  Specified by:
    `structureChanged` in interface `ModelChangeListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD